const _Http = getApp().globalData.http;

Page({
	data: {
		list: [],
		loading: true,
		"content": {
			nocache: true,
			"isExport": 0,
			"pageNumber": 1,
			"pageTotal": 1,
			"pageSize": 20,
			"where": {
				"condition": "",
				"tablefilter": {},
				"status": ""
			},
			"type": "退货单"
		},
		filtratelist: [{
			label: "单据类型",
			index: null,
			showName: "value", //显示字段
			valueKey: "type", //返回Key
			selectKey: "value", //传参 代表选着字段 不传参返回整个选择对象
			value: "退货单", //选中值
			list: [{
				value: "退货单"
			}, {
				value: "换货单"
			}]
		}]
	},
	onLoad(options) {
		this.setData({
			userrole: wx.getStorageSync('userrole'),
			insert: wx.getStorageSync('auth').wreturn.options.some(v => v == 'insert'), //查询新增权限
		})
		this.getList(true)
	},
	/* 获取产品 */
	getList(init = false) {
		if (init.detail != undefined) init = init.detail;
		let content = this.data.content;
		if (init) content.pageNumber = 1;
		if (content.pageNumber > content.pageTotal) return;
		_Http.basic({
			"id": 20230105161503,
			content
		}).then(res => {
			console.log("退返列表", res)
			this.selectComponent('#ListBox').RefreshToComplete();
			this.selectComponent("#ListBox").setHeight(".tab", this);
			this.setData({
				list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
				"content.pageNumber": res.pageNumber + 1,
				"content.pageTotal": res.pageTotal,
				"content.sort": res.sort,
				"content.total": res.total,
				loading: false,
			})
		})
	},
	tabsChange(e) {
		this.data.content.where.status = e.detail.title == '全部' ? '' : e.detail.title;
		this.getList(true);
	},
	onReady() {
		// this.selectComponent("#ListBox").setHeight(".tab", this);
	},
	toAdd(e) {
		wx.navigateTo({
			url: '/packageA/returnOne/update'
		})
	},
	hideModal(e) {
		this.setData({
			modalName: null
		})
	},
	handleFiltrate({
		detail
	}) {
		detail.type && (this.data.content.type = detail.type);
		this.getList(true);
	}
})